Next Previous Up Contents
Next: SuperCosmos
Up: Activation Functions
Previous: Output

### B.2.6 Sdss

Specialist display functions for use with the Sloan Digital Sky Server.

`sdssShowCutout( label, ra, dec, pixels )`
  Displays a colour cutout image of a specified size from the SDSS around a given sky position. The displayed image is square, a given number of (0.4arcsec) pixels on each side.

  - Parameters:
    - `label` (String): label for display window
    - `ra` (floating point): Right Ascension in degrees
    - `dec` (floating point): Declination in degrees
    - `pixels` (integer): size of displayed image in SDSS pixels
  - Return value
    - (String): short log message
`sdssShowCutout( ra, dec, pixels, scale )`
  Displays a colour cutout image of a specified size from the SDSS around a given sky position with pixels of a given size. Pixels are square, and their size on the sky is specified by the `scale` argument. The displayed image has `pixels` pixels along each side.

  - Parameters:
    - `ra` (floating point): Right Ascension in degrees
    - `dec` (floating point): Declination in degrees
    - `pixels` (integer): size of displayed image in SDSS pixels
    - `scale` (floating point): pixel size in arcseconds
  - Return value
    - (String): short log message
`sdssShowCutout( ra, dec )`
  Displays a colour cutout image of a default size from the SDSS around a given sky position. The displayed image is 128 pixels square - a pixel is 0.4arcsec.

  - Parameters:
    - `ra` (floating point): Right Ascension in degrees
    - `dec` (floating point): Declination in degrees
  - Return value
    - (String): short log message
`SDSS_DR2_BASE_URL`
  Base URL for SkyServer JPEG retrieval service, DR2.

`SDSS_BASE_URL`
  Base URL for SkyServer JPEG retrieval service.

Next Previous Up Contents
Next: SuperCosmos
Up: Activation Functions
Previous: Output

TOPCAT - Tool for OPerations on Catalogues And Tables
Starlink User Note253
TOPCAT web page: http://www.starlink.ac.uk/topcat/
Author email: m.b.taylor@bristol.ac.uk
Mailing list: topcat-user@jiscmail.ac.uk